%{!?scl:%global pkg_name %{name}}
%{?scl:%scl_package rubygem-%{gem_name}}
%global gem_name state_machine
%global rubyabi 1.9.1

Summary: State machines for attributes
Name: %{?scl:%scl_prefix}rubygem-%{gem_name}
Version: 1.1.2
Release: 7%{?dist}
Group: Development/Languages
License: GPLv2+ or Ruby
URL: http://www.pluginaweek.org
Source0: http://rubygems.org/gems/%{gem_name}-%{version}.gem
Requires: %{?scl:%scl_prefix}ruby(abi) = %{rubyabi}
Requires: %{?scl:%scl_prefix}ruby
Requires: %{?scl:%scl_prefix}rubygems
BuildRequires: %{?scl:%scl_prefix}ruby(abi) = %{rubyabi}
BuildRequires: %{?scl:%scl_prefix}ruby 
BuildRequires: %{?scl:%scl_prefix}rubygems
BuildRequires: %{?scl:%scl_prefix}rubygems-devel
BuildArch: noarch
Provides: %{?scl:%scl_prefix}rubygem(%{gem_name}) = %{version}

%description
Adds support for creating state machines for attributes on any Ruby class


%package doc
Summary: Documentation for %{name}
Group: Documentation
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}

%prep
%{?scl:scl enable %scl "}
gem unpack %{SOURCE0}
%setup -q -D -T -n  %{gem_name}-%{version}
gem spec %{SOURCE0} -l --ruby > %{gem_name}.gemspec
%{?scl:"}

%build
mkdir -p ./%{gem_dir}

%{?scl:scl enable %scl - << \EOF}
gem build %{gem_name}.gemspec
export CONFIGURE_ARGS="--with-cflags='%{optflags}'"
gem install -V \
        --local \
        --install-dir ./%{gem_dir} \
        --bindir ./%{_bindir} \
        --force \
        --rdoc \
        %{gem_name}-%{version}.gem
%{?scl:EOF}

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a ./%{gem_dir}/* %{buildroot}%{gem_dir}/

# Change from /usr/bin/ruby to /usr/bin/env ruby
find %{buildroot} -type f | \
  xargs sed -i -e 's"^#!/usr/bin/ruby"#!/usr/bin/env ruby"'

# rm unnecesary files
rm %{buildroot}%{gem_instdir}/.gitignore
rm %{buildroot}%{gem_instdir}/.travis.yml
rm %{buildroot}%{gem_instdir}/.yardopts
rm -r %{buildroot}%{gem_instdir}/gemfiles
rm %{buildroot}%{gem_instdir}/init.rb
rm %{buildroot}%{gem_instdir}/Appraisals

%check
cd %{buildroot}%{gem_dir}/gems/%{gem_name}-%{version}
# gem 'appraisal (~> 0.4.0) not available in Fedora
# gem 'rcov' not supported in Ruby 1.9
# test suite needs to be modified to be run in Fedora
echo "Running tests (disabled)"
#rake test
rm %{buildroot}%{gem_instdir}/Gemfile
rm %{buildroot}%{gem_instdir}/state_machine.gemspec


%files
%{gem_libdir}
%dir %{gem_instdir}
%doc %{gem_instdir}/LICENSE
%doc %{gem_instdir}/README.md
%doc %{gem_instdir}/CHANGELOG.md
%{gem_cache}
%doc %{gem_spec}

%files doc
%doc %{gem_instdir}/examples
%doc %{gem_instdir}/test
%doc %{gem_docdir}
%doc %{gem_instdir}/Rakefile

%changelog
* Fri Aug 31 2012 Troy Dawson <tdawson@redhat.com> - 1.1.2-7
- Packaged to work with SCL
- Initial package
